plugins {
    id("gradle.java-application-conventions")
    alias(libs.plugins.javafx)
}

dependencies {
    implementation(project(":prometeu-infra"))
    implementation(project(":prometeu-lsp:prometeu-lsp-api"))
    implementation(project(":prometeu-lsp:prometeu-lsp-v1"))
    implementation(project(":prometeu-packer:prometeu-packer-api"))
    implementation(project(":prometeu-packer:prometeu-packer-v1"))
    implementation(project(":prometeu-studio"))
    implementation(libs.javafx.controls)
    implementation(libs.javafx.fxml)
}

application {
    mainClass = "p.studio.App"
}

javafx {
    version = libs.versions.javafx.get()
    modules("javafx.controls", "javafx.fxml")
}
